﻿@model IndexModel
@{
    ViewData["Title"] = "Home Page";
}

<div class="row">
    <div class="col-md-3">
        <h2>Statistics</h2>
        <ul>
            <li>Amount of numbers: @Model.AmountNumber</li>
            <li>Amount of primes: @Model.AmountPrimes</li>
            
        </ul>
    </div>
    <div class="col-md-3">
        <h3>Last written tables</h3>
        <ul>
        @{
            foreach (string s in Model.LastTables) {
                @:<li>@s</li>
            }
        }
        </ul>
    </div>
    <div class="col-md-6">
        <h3>Machine-Stats</h3>
        <ul>
        @{
            foreach (string s in Model.MachineStats) {
                @:<li>@s</li>
            }
        }
        </ul>
    </div>
</div>
<div class="row">
    
    <div class="col-md-3">
        <form method="post">
            Result: @Model.IsPrimeResult<br />
            Number: <input asp-for="NumberIsPrime" value="@Model.NumberIsPrime" /><br />
            
            <button type="submit">Is prime?</button>
        </form>

    </div>
</div>
<div>
    @Model.Debug
</div>
